Package org.xnio.channels

# Interface ByteChannel

All Superinterfaces:
  `AutoCloseable`, `ByteChannel`, `Channel`, `Closeable`, `GatheringByteChannel`, `ReadableByteChannel`, `ScatteringByteChannel`, `WritableByteChannel`

All Known Subinterfaces:
  `ConnectedSslStreamChannel`, `ConnectedStreamChannel`, `StreamChannel`

All Known Implementing Classes:
  `AssembledConnectedSslStreamChannel`, `AssembledConnectedStreamChannel`, `AssembledStreamChannel`

public interface ByteChannel extends ByteChannel, GatheringByteChannel, ScatteringByteChannel
An extension of a simple NIO `ByteChannel` which includes scatter/gather operations.

Author:
  David M. Lloyd

## Method Summary

### Methods inherited from interface java.nio.channels.Channel

`close, isOpen`

### Methods inherited from interface java.nio.channels.GatheringByteChannel

`write, write`

### Methods inherited from interface java.nio.channels.ReadableByteChannel

`read`

### Methods inherited from interface java.nio.channels.ScatteringByteChannel

`read, read`

### Methods inherited from interface java.nio.channels.WritableByteChannel

`write`